﻿Imports System.Runtime.InteropServices
Imports System.ComponentModel

<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Partial Class Form1
    Inherits System.Windows.Forms.Form

    Private Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long

    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_init(ByVal parm As Byte()) As Integer
    End Function
    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_register(ByRef handle As Integer, ByVal vid As Integer, ByVal pid As Integer,
    ByVal mi As Integer, ByVal reportId As Integer, ByVal reportSize As Integer, ByVal reportType As Integer) As Integer
    End Function
    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_deregister(ByRef handle As Integer) As Integer
    End Function
    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_write(ByVal handle As Integer, ByVal buffer As Byte(), ByVal bytesToWrite As Integer,
    ByRef bytesWritten As Integer) As Integer
    End Function
    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_read(ByVal handle As Integer, ByVal buffer As Byte(), ByVal bytesToRead As Integer,
    ByRef bytesRead As Integer) As Integer
    End Function
    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_find(ByVal handle As Integer) As Integer
    End Function
    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_identify(ByVal handle As Integer, ByVal buffer As Byte(), ByVal bufferSize As Integer, ByRef bytesProcessed As Integer) As Integer
    End Function
    <DllImport("AHid.dll", CallingConvention:=CallingConvention.Cdecl)>
    Shared Function AHid_info(ByVal buffer1 As Byte(), ByVal bufferSize1 As Integer, ByVal buffer2 As Byte(), ByVal bufferSize2 As Integer) As Integer
    End Function

    Const TMP_BUFFER_SIZE As Integer = 1000

    Const TIMER_INTERVAL As Integer = 100
    Const MAX_REPORT_SIZE As Integer = 64
    Const AHID_REPORT_TYPE_INPUT As Integer = 0
    Const AHID_REPORT_TYPE_OUTPUT As Integer = 1
    Const AHID_OK As Integer = 0
    Const AHID_LICENSE_ERROR As Integer = 3

    Public FindIntervall As Integer = 0
    Public IsConnected As Boolean = False
    Public VID As Integer
    Public PID As Integer
    Public InterfaceID As Integer
    Public GUID As Byte()
    Public OutputHandle As IntPtr
    Public OutputReportID As Integer
    Public OutputReportSize As Integer
    Public OutputCounter As Integer
    Public OutputBuffer As Byte()
    Public InputHandle As IntPtr
    Public InputReportID As Integer
    Public InputReportSize As Integer
    Public InputCounter As Integer

    Private Sub ReadValuesFromControls()
        VID = Convert.ToInt32(TextBoxVID.Text, 16)
        PID = Convert.ToInt32(TextBoxPID.Text, 16)
        InterfaceID = Convert.ToInt32(TextBoxInterfaceID.Text, 10)
        OutputReportID = Convert.ToInt32(TextBoxOutputID.Text, 10)
        OutputReportSize = Convert.ToInt32(TextBoxOutputSize.Text, 10)
        InputReportID = Convert.ToInt32(TextBoxInputID.Text, 10)
        InputReportSize = Convert.ToInt32(TextBoxInputSize.Text, 10)

        Dim SplitBuffer() As String = TextBoxOutputData.Text.Split(" ")
        Dim count As Integer

        OutputBuffer = New Byte(OutputReportSize) {}
        count = 0

        For Each hex As String In SplitBuffer
            If (count < OutputReportSize) Then
                OutputBuffer(count) = Convert.ToInt32(hex, 16)
                count = count + 1
            End If
        Next
    End Sub

    Private Sub Init()
        Try
            Dim parm As Byte()
            parm = System.Text.Encoding.ASCII.GetBytes("")

            If (AHid_init(parm) = AHID_OK) Then
                Dim SystemTag(TMP_BUFFER_SIZE) As Byte
                Dim Result As Integer

                Result = AHid_info(SystemTag, TMP_BUFFER_SIZE, Nothing, 0)

                If (Result = AHID_OK) Then
                    TextBoxSystemTag.Text = System.Text.Encoding.ASCII.GetString(SystemTag)
                Else
                    TextBoxSystemTag.Text = "not available"
                End If
            Else
                TextBoxStatus.Text = "not initialized"
            End If
        Catch
            MessageBox.Show("Please put the AHid.dll in your \Debug or \Release folder!", "AHid.dll not found!", MessageBoxButtons.OK)
            Application.Exit()
        End Try
    End Sub

    Private Sub SetGUID()
        Dim Result As Integer
        Dim BytesProcessed As Integer

        Result = AHid_identify(OutputHandle, GUID, TMP_BUFFER_SIZE, BytesProcessed)

        If (Result = AHID_OK) Then
            TextBoxGUID.Text = System.Text.Encoding.ASCII.GetString(GUID)
        End If

    End Sub

    Private Sub Find()
        Dim Result As Integer

        Result = AHid_find(OutputHandle)

        If (Result = AHID_OK) Then
            SetGUID()
            TextBoxStatus.Text = "attached"
        Else
            If (Result = AHID_LICENSE_ERROR) Then
                TextBoxStatus.Text = "not initialized"
            Else
                TextBoxStatus.Text = "removed"
            End If
        End If
    End Sub

    Private Sub Connect()
        If (IsConnected) Then
            AHid_deregister(OutputHandle)
            AHid_deregister(InputHandle)

            ButtonConnect.Text = "Connect"
            TextBoxStatus.Text = "disconnected"
            IsConnected = False
        Else
            ReadValuesFromControls()

            AHid_register(OutputHandle, VID, PID, InterfaceID, OutputReportID, OutputReportSize, AHID_REPORT_TYPE_OUTPUT)
            AHid_register(InputHandle, VID, PID, InterfaceID, InputReportID, InputReportSize, AHID_REPORT_TYPE_INPUT)

            ButtonConnect.Text = "Disconnect"
            TextBoxStatus.Text = "connected"
            IsConnected = True
        End If

        Find()
    End Sub
    Private Sub Reset()
        OutputCounter = 0
        InputCounter = 0

        TextBoxOutputCounter.Text = OutputCounter.ToString()
        TextBoxInputCounter.Text = InputCounter.ToString()
        ListBoxInputData.Items.Clear()
    End Sub

    Private Sub Read()
        Dim InputBuffer As Byte() = New Byte(InputReportSize) {}
        Dim BytesRead As Integer = 0

        For i As Integer = 0 To TIMER_INTERVAL - 1
            AHid_read(InputHandle, InputBuffer, InputReportSize, BytesRead)

            If (0 <> BytesRead) Then
                Dim Result As String = ""

                If (0 = (InputCounter Mod TIMER_INTERVAL)) Then
                    ListBoxInputData.Items.Clear()
                End If

                InputCounter = InputCounter + 1

                For k As Integer = 0 To InputReportSize - 1
                    Result = Result + InputBuffer(k).ToString("X02") + " "
                Next

                TextBoxInputCounter.Text = InputCounter.ToString()
                ListBoxInputData.Items.Insert(0, Result)
            End If
        Next
    End Sub

    Private Sub Write()
        Dim BytesWritten As Integer
        Dim Loops As Integer

        BytesWritten = 0
        Loops = Convert.ToInt32(TextBoxOutputLoops.Text, 10)

        For i As Integer = 0 To Loops - 1
            AHid_write(OutputHandle, OutputBuffer, OutputReportSize, BytesWritten)

            OutputCounter = OutputCounter + 1
            TextBoxOutputCounter.Text = OutputCounter.ToString()
        Next
    End Sub

    'Das Formular überschreibt den Löschvorgang, um die Komponentenliste zu bereinigen.
    <System.Diagnostics.DebuggerNonUserCode()> _
    Protected Overrides Sub Dispose(ByVal disposing As Boolean)
        Try
            If disposing AndAlso components IsNot Nothing Then
                components.Dispose()
            End If
        Finally
            MyBase.Dispose(disposing)
        End Try
    End Sub

    'Wird vom Windows Form-Designer benötigt.
    Private components As System.ComponentModel.IContainer

    'Hinweis: Die folgende Prozedur ist für den Windows Form-Designer erforderlich.
    'Das Bearbeiten ist mit dem Windows Form-Designer möglich.  
    'Das Bearbeiten mit dem Code-Editor ist nicht möglich.
    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container()
        Me.GroupBox1 = New System.Windows.Forms.GroupBox()
        Me.ButtonConnect = New System.Windows.Forms.Button()
        Me.Label5 = New System.Windows.Forms.Label()
        Me.TextBoxGUID = New System.Windows.Forms.TextBox()
        Me.Label4 = New System.Windows.Forms.Label()
        Me.TextBoxStatus = New System.Windows.Forms.TextBox()
        Me.Label3 = New System.Windows.Forms.Label()
        Me.TextBoxInterfaceID = New System.Windows.Forms.TextBox()
        Me.Label2 = New System.Windows.Forms.Label()
        Me.TextBoxPID = New System.Windows.Forms.TextBox()
        Me.Label1 = New System.Windows.Forms.Label()
        Me.TextBoxVID = New System.Windows.Forms.TextBox()
        Me.GroupBox2 = New System.Windows.Forms.GroupBox()
        Me.ButtonSend = New System.Windows.Forms.Button()
        Me.Label6 = New System.Windows.Forms.Label()
        Me.TextBoxOutputData = New System.Windows.Forms.TextBox()
        Me.Label7 = New System.Windows.Forms.Label()
        Me.TextBoxOutputLoops = New System.Windows.Forms.TextBox()
        Me.Label8 = New System.Windows.Forms.Label()
        Me.TextBoxOutputCounter = New System.Windows.Forms.TextBox()
        Me.Label9 = New System.Windows.Forms.Label()
        Me.TextBoxOutputSize = New System.Windows.Forms.TextBox()
        Me.Label10 = New System.Windows.Forms.Label()
        Me.TextBoxOutputID = New System.Windows.Forms.TextBox()
        Me.GroupBox3 = New System.Windows.Forms.GroupBox()
        Me.ListBoxInputData = New System.Windows.Forms.ListBox()
        Me.ButtonReset = New System.Windows.Forms.Button()
        Me.Label11 = New System.Windows.Forms.Label()
        Me.Label13 = New System.Windows.Forms.Label()
        Me.TextBoxInputCounter = New System.Windows.Forms.TextBox()
        Me.Label14 = New System.Windows.Forms.Label()
        Me.TextBoxInputSize = New System.Windows.Forms.TextBox()
        Me.Label15 = New System.Windows.Forms.Label()
        Me.TextBoxInputID = New System.Windows.Forms.TextBox()
        Me.Timer1 = New System.Windows.Forms.Timer(Me.components)
        Me.Label12 = New System.Windows.Forms.Label()
        Me.TextBoxSystemTag = New System.Windows.Forms.TextBox()
        Me.GroupBox1.SuspendLayout()
        Me.GroupBox2.SuspendLayout()
        Me.GroupBox3.SuspendLayout()
        Me.SuspendLayout()
        '
        'GroupBox1
        '
        Me.GroupBox1.Controls.Add(Me.ButtonConnect)
        Me.GroupBox1.Controls.Add(Me.Label12)
        Me.GroupBox1.Controls.Add(Me.Label5)
        Me.GroupBox1.Controls.Add(Me.TextBoxSystemTag)
        Me.GroupBox1.Controls.Add(Me.TextBoxGUID)
        Me.GroupBox1.Controls.Add(Me.Label4)
        Me.GroupBox1.Controls.Add(Me.TextBoxStatus)
        Me.GroupBox1.Controls.Add(Me.Label3)
        Me.GroupBox1.Controls.Add(Me.TextBoxInterfaceID)
        Me.GroupBox1.Controls.Add(Me.Label2)
        Me.GroupBox1.Controls.Add(Me.TextBoxPID)
        Me.GroupBox1.Controls.Add(Me.Label1)
        Me.GroupBox1.Controls.Add(Me.TextBoxVID)
        Me.GroupBox1.Location = New System.Drawing.Point(12, 12)
        Me.GroupBox1.Name = "GroupBox1"
        Me.GroupBox1.Size = New System.Drawing.Size(593, 80)
        Me.GroupBox1.TabIndex = 0
        Me.GroupBox1.TabStop = False
        Me.GroupBox1.Text = "Device"
        '
        'ButtonConnect
        '
        Me.ButtonConnect.Location = New System.Drawing.Point(478, 16)
        Me.ButtonConnect.Name = "ButtonConnect"
        Me.ButtonConnect.Size = New System.Drawing.Size(96, 50)
        Me.ButtonConnect.TabIndex = 10
        Me.ButtonConnect.Text = "Connect"
        Me.ButtonConnect.UseVisualStyleBackColor = True
        '
        'Label5
        '
        Me.Label5.AutoSize = True
        Me.Label5.Location = New System.Drawing.Point(8, 49)
        Me.Label5.Name = "Label5"
        Me.Label5.Size = New System.Drawing.Size(34, 13)
        Me.Label5.TabIndex = 9
        Me.Label5.Text = "GUID"
        '
        'TextBoxGUID
        '
        Me.TextBoxGUID.Location = New System.Drawing.Point(51, 46)
        Me.TextBoxGUID.Name = "TextBoxGUID"
        Me.TextBoxGUID.ReadOnly = True
        Me.TextBoxGUID.Size = New System.Drawing.Size(150, 20)
        Me.TextBoxGUID.TabIndex = 8
        '
        'Label4
        '
        Me.Label4.AutoSize = True
        Me.Label4.Location = New System.Drawing.Point(327, 22)
        Me.Label4.Name = "Label4"
        Me.Label4.Size = New System.Drawing.Size(37, 13)
        Me.Label4.TabIndex = 7
        Me.Label4.Text = "Status"
        '
        'TextBoxStatus
        '
        Me.TextBoxStatus.Location = New System.Drawing.Point(370, 19)
        Me.TextBoxStatus.Name = "TextBoxStatus"
        Me.TextBoxStatus.ReadOnly = True
        Me.TextBoxStatus.Size = New System.Drawing.Size(77, 20)
        Me.TextBoxStatus.TabIndex = 6
        Me.TextBoxStatus.Text = "disconnected"
        '
        'Label3
        '
        Me.Label3.AutoSize = True
        Me.Label3.Location = New System.Drawing.Point(212, 23)
        Me.Label3.Name = "Label3"
        Me.Label3.Size = New System.Drawing.Size(63, 13)
        Me.Label3.TabIndex = 5
        Me.Label3.Text = "Interface ID"
        '
        'TextBoxInterfaceID
        '
        Me.TextBoxInterfaceID.Location = New System.Drawing.Point(281, 20)
        Me.TextBoxInterfaceID.Name = "TextBoxInterfaceID"
        Me.TextBoxInterfaceID.Size = New System.Drawing.Size(40, 20)
        Me.TextBoxInterfaceID.TabIndex = 4
        Me.TextBoxInterfaceID.Text = "-1"
        '
        'Label2
        '
        Me.Label2.AutoSize = True
        Me.Label2.Location = New System.Drawing.Point(114, 23)
        Me.Label2.Name = "Label2"
        Me.Label2.Size = New System.Drawing.Size(25, 13)
        Me.Label2.TabIndex = 3
        Me.Label2.Text = "PID"
        '
        'TextBoxPID
        '
        Me.TextBoxPID.Location = New System.Drawing.Point(145, 20)
        Me.TextBoxPID.Name = "TextBoxPID"
        Me.TextBoxPID.Size = New System.Drawing.Size(40, 20)
        Me.TextBoxPID.TabIndex = 2
        Me.TextBoxPID.Text = "0002"
        '
        'Label1
        '
        Me.Label1.AutoSize = True
        Me.Label1.Location = New System.Drawing.Point(20, 23)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(25, 13)
        Me.Label1.TabIndex = 1
        Me.Label1.Text = "VID"
        '
        'TextBoxVID
        '
        Me.TextBoxVID.Location = New System.Drawing.Point(51, 20)
        Me.TextBoxVID.Name = "TextBoxVID"
        Me.TextBoxVID.Size = New System.Drawing.Size(40, 20)
        Me.TextBoxVID.TabIndex = 0
        Me.TextBoxVID.Text = "AADC"
        '
        'GroupBox2
        '
        Me.GroupBox2.Controls.Add(Me.ButtonSend)
        Me.GroupBox2.Controls.Add(Me.Label6)
        Me.GroupBox2.Controls.Add(Me.TextBoxOutputData)
        Me.GroupBox2.Controls.Add(Me.Label7)
        Me.GroupBox2.Controls.Add(Me.TextBoxOutputLoops)
        Me.GroupBox2.Controls.Add(Me.Label8)
        Me.GroupBox2.Controls.Add(Me.TextBoxOutputCounter)
        Me.GroupBox2.Controls.Add(Me.Label9)
        Me.GroupBox2.Controls.Add(Me.TextBoxOutputSize)
        Me.GroupBox2.Controls.Add(Me.Label10)
        Me.GroupBox2.Controls.Add(Me.TextBoxOutputID)
        Me.GroupBox2.Location = New System.Drawing.Point(12, 98)
        Me.GroupBox2.Name = "GroupBox2"
        Me.GroupBox2.Size = New System.Drawing.Size(593, 80)
        Me.GroupBox2.TabIndex = 11
        Me.GroupBox2.TabStop = False
        Me.GroupBox2.Text = "Output"
        '
        'ButtonSend
        '
        Me.ButtonSend.Location = New System.Drawing.Point(478, 16)
        Me.ButtonSend.Name = "ButtonSend"
        Me.ButtonSend.Size = New System.Drawing.Size(96, 50)
        Me.ButtonSend.TabIndex = 10
        Me.ButtonSend.Text = "Send"
        Me.ButtonSend.UseVisualStyleBackColor = True
        '
        'Label6
        '
        Me.Label6.AutoSize = True
        Me.Label6.Location = New System.Drawing.Point(8, 49)
        Me.Label6.Name = "Label6"
        Me.Label6.Size = New System.Drawing.Size(30, 13)
        Me.Label6.TabIndex = 9
        Me.Label6.Text = "Data"
        '
        'TextBoxOutputData
        '
        Me.TextBoxOutputData.Location = New System.Drawing.Point(51, 46)
        Me.TextBoxOutputData.Name = "TextBoxOutputData"
        Me.TextBoxOutputData.Size = New System.Drawing.Size(396, 20)
        Me.TextBoxOutputData.TabIndex = 8
        Me.TextBoxOutputData.Text = "00 01 02 03 04 05 06 07 08 0A 0B 0C 0D 0E 0F 10 11 12 13 14 15 16 17 18 1A 1B 1C " &
    "1D 1E 1F 20 21 22 23 24 25 26 27 28 2A 2B 2C 2D 2E 2F 30 31 32 33 34 35 36 37 38" &
    " 3A 3B 3C 3D 3E 3F "
        '
        'Label7
        '
        Me.Label7.AutoSize = True
        Me.Label7.Location = New System.Drawing.Point(339, 22)
        Me.Label7.Name = "Label7"
        Me.Label7.Size = New System.Drawing.Size(36, 13)
        Me.Label7.TabIndex = 7
        Me.Label7.Text = "Loops"
        '
        'TextBoxOutputLoops
        '
        Me.TextBoxOutputLoops.Location = New System.Drawing.Point(382, 19)
        Me.TextBoxOutputLoops.Name = "TextBoxOutputLoops"
        Me.TextBoxOutputLoops.Size = New System.Drawing.Size(65, 20)
        Me.TextBoxOutputLoops.TabIndex = 6
        Me.TextBoxOutputLoops.Text = "1"
        '
        'Label8
        '
        Me.Label8.AutoSize = True
        Me.Label8.Location = New System.Drawing.Point(206, 23)
        Me.Label8.Name = "Label8"
        Me.Label8.Size = New System.Drawing.Size(44, 13)
        Me.Label8.TabIndex = 5
        Me.Label8.Text = "Counter"
        '
        'TextBoxOutputCounter
        '
        Me.TextBoxOutputCounter.Location = New System.Drawing.Point(256, 20)
        Me.TextBoxOutputCounter.Name = "TextBoxOutputCounter"
        Me.TextBoxOutputCounter.ReadOnly = True
        Me.TextBoxOutputCounter.Size = New System.Drawing.Size(65, 20)
        Me.TextBoxOutputCounter.TabIndex = 4
        Me.TextBoxOutputCounter.Text = "0"
        '
        'Label9
        '
        Me.Label9.AutoSize = True
        Me.Label9.Location = New System.Drawing.Point(114, 23)
        Me.Label9.Name = "Label9"
        Me.Label9.Size = New System.Drawing.Size(27, 13)
        Me.Label9.TabIndex = 3
        Me.Label9.Text = "Size"
        '
        'TextBoxOutputSize
        '
        Me.TextBoxOutputSize.Location = New System.Drawing.Point(145, 20)
        Me.TextBoxOutputSize.Name = "TextBoxOutputSize"
        Me.TextBoxOutputSize.Size = New System.Drawing.Size(40, 20)
        Me.TextBoxOutputSize.TabIndex = 2
        Me.TextBoxOutputSize.Text = "16"
        '
        'Label10
        '
        Me.Label10.AutoSize = True
        Me.Label10.Location = New System.Drawing.Point(20, 23)
        Me.Label10.Name = "Label10"
        Me.Label10.Size = New System.Drawing.Size(18, 13)
        Me.Label10.TabIndex = 1
        Me.Label10.Text = "ID"
        '
        'TextBoxOutputID
        '
        Me.TextBoxOutputID.Location = New System.Drawing.Point(51, 20)
        Me.TextBoxOutputID.Name = "TextBoxOutputID"
        Me.TextBoxOutputID.Size = New System.Drawing.Size(40, 20)
        Me.TextBoxOutputID.TabIndex = 0
        Me.TextBoxOutputID.Text = "1"
        '
        'GroupBox3
        '
        Me.GroupBox3.Controls.Add(Me.ListBoxInputData)
        Me.GroupBox3.Controls.Add(Me.ButtonReset)
        Me.GroupBox3.Controls.Add(Me.Label11)
        Me.GroupBox3.Controls.Add(Me.Label13)
        Me.GroupBox3.Controls.Add(Me.TextBoxInputCounter)
        Me.GroupBox3.Controls.Add(Me.Label14)
        Me.GroupBox3.Controls.Add(Me.TextBoxInputSize)
        Me.GroupBox3.Controls.Add(Me.Label15)
        Me.GroupBox3.Controls.Add(Me.TextBoxInputID)
        Me.GroupBox3.Location = New System.Drawing.Point(12, 184)
        Me.GroupBox3.Name = "GroupBox3"
        Me.GroupBox3.Size = New System.Drawing.Size(593, 188)
        Me.GroupBox3.TabIndex = 12
        Me.GroupBox3.TabStop = False
        Me.GroupBox3.Text = "Input"
        '
        'ListBoxInputData
        '
        Me.ListBoxInputData.FormattingEnabled = True
        Me.ListBoxInputData.Location = New System.Drawing.Point(51, 55)
        Me.ListBoxInputData.Name = "ListBoxInputData"
        Me.ListBoxInputData.Size = New System.Drawing.Size(522, 121)
        Me.ListBoxInputData.TabIndex = 11
        '
        'ButtonReset
        '
        Me.ButtonReset.Location = New System.Drawing.Point(478, 16)
        Me.ButtonReset.Name = "ButtonReset"
        Me.ButtonReset.Size = New System.Drawing.Size(96, 32)
        Me.ButtonReset.TabIndex = 10
        Me.ButtonReset.Text = "Reset"
        Me.ButtonReset.UseVisualStyleBackColor = True
        '
        'Label11
        '
        Me.Label11.AutoSize = True
        Me.Label11.Location = New System.Drawing.Point(8, 55)
        Me.Label11.Name = "Label11"
        Me.Label11.Size = New System.Drawing.Size(30, 13)
        Me.Label11.TabIndex = 9
        Me.Label11.Text = "Data"
        '
        'Label13
        '
        Me.Label13.AutoSize = True
        Me.Label13.Location = New System.Drawing.Point(206, 23)
        Me.Label13.Name = "Label13"
        Me.Label13.Size = New System.Drawing.Size(44, 13)
        Me.Label13.TabIndex = 5
        Me.Label13.Text = "Counter"
        '
        'TextBoxInputCounter
        '
        Me.TextBoxInputCounter.Location = New System.Drawing.Point(256, 20)
        Me.TextBoxInputCounter.Name = "TextBoxInputCounter"
        Me.TextBoxInputCounter.ReadOnly = True
        Me.TextBoxInputCounter.Size = New System.Drawing.Size(65, 20)
        Me.TextBoxInputCounter.TabIndex = 4
        Me.TextBoxInputCounter.Text = "0"
        '
        'Label14
        '
        Me.Label14.AutoSize = True
        Me.Label14.Location = New System.Drawing.Point(114, 23)
        Me.Label14.Name = "Label14"
        Me.Label14.Size = New System.Drawing.Size(27, 13)
        Me.Label14.TabIndex = 3
        Me.Label14.Text = "Size"
        '
        'TextBoxInputSize
        '
        Me.TextBoxInputSize.Location = New System.Drawing.Point(145, 20)
        Me.TextBoxInputSize.Name = "TextBoxInputSize"
        Me.TextBoxInputSize.Size = New System.Drawing.Size(40, 20)
        Me.TextBoxInputSize.TabIndex = 2
        Me.TextBoxInputSize.Text = "16"
        '
        'Label15
        '
        Me.Label15.AutoSize = True
        Me.Label15.Location = New System.Drawing.Point(20, 23)
        Me.Label15.Name = "Label15"
        Me.Label15.Size = New System.Drawing.Size(18, 13)
        Me.Label15.TabIndex = 1
        Me.Label15.Text = "ID"
        '
        'TextBoxInputID
        '
        Me.TextBoxInputID.Location = New System.Drawing.Point(51, 20)
        Me.TextBoxInputID.Name = "TextBoxInputID"
        Me.TextBoxInputID.Size = New System.Drawing.Size(40, 20)
        Me.TextBoxInputID.TabIndex = 0
        Me.TextBoxInputID.Text = "1"
        '
        'Timer1
        '
        '
        'Label12
        '
        Me.Label12.AutoSize = True
        Me.Label12.Location = New System.Drawing.Point(228, 49)
        Me.Label12.Name = "Label12"
        Me.Label12.Size = New System.Drawing.Size(63, 13)
        Me.Label12.TabIndex = 9
        Me.Label12.Text = "System Tag"
        '
        'TextBoxSystemTag
        '
        Me.TextBoxSystemTag.Location = New System.Drawing.Point(297, 46)
        Me.TextBoxSystemTag.Name = "TextBoxSystemTag"
        Me.TextBoxSystemTag.ReadOnly = True
        Me.TextBoxSystemTag.Size = New System.Drawing.Size(150, 20)
        Me.TextBoxSystemTag.TabIndex = 8
        '
        'Form1
        '
        Me.AutoScaleDimensions = New System.Drawing.SizeF(6.0!, 13.0!)
        Me.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font
        Me.ClientSize = New System.Drawing.Size(620, 382)
        Me.Controls.Add(Me.GroupBox3)
        Me.Controls.Add(Me.GroupBox2)
        Me.Controls.Add(Me.GroupBox1)
        Me.Name = "Form1"
        Me.Text = "AHid.dll - A USB HID driver for Windows"
        Me.GroupBox1.ResumeLayout(False)
        Me.GroupBox1.PerformLayout()
        Me.GroupBox2.ResumeLayout(False)
        Me.GroupBox2.PerformLayout()
        Me.GroupBox3.ResumeLayout(False)
        Me.GroupBox3.PerformLayout()
        Me.ResumeLayout(False)

    End Sub
    Friend WithEvents GroupBox1 As System.Windows.Forms.GroupBox
    Friend WithEvents Label5 As System.Windows.Forms.Label
    Friend WithEvents TextBoxGUID As System.Windows.Forms.TextBox
    Friend WithEvents Label4 As System.Windows.Forms.Label
    Friend WithEvents TextBoxStatus As System.Windows.Forms.TextBox
    Friend WithEvents Label3 As System.Windows.Forms.Label
    Friend WithEvents TextBoxInterfaceID As System.Windows.Forms.TextBox
    Friend WithEvents Label2 As System.Windows.Forms.Label
    Friend WithEvents TextBoxPID As System.Windows.Forms.TextBox
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents TextBoxVID As System.Windows.Forms.TextBox
    Friend WithEvents ButtonConnect As System.Windows.Forms.Button
    Friend WithEvents GroupBox2 As System.Windows.Forms.GroupBox
    Friend WithEvents ButtonSend As System.Windows.Forms.Button
    Friend WithEvents Label6 As System.Windows.Forms.Label
    Friend WithEvents TextBoxOutputData As System.Windows.Forms.TextBox
    Friend WithEvents Label7 As System.Windows.Forms.Label
    Friend WithEvents TextBoxOutputLoops As System.Windows.Forms.TextBox
    Friend WithEvents Label8 As System.Windows.Forms.Label
    Friend WithEvents TextBoxOutputCounter As System.Windows.Forms.TextBox
    Friend WithEvents Label9 As System.Windows.Forms.Label
    Friend WithEvents TextBoxOutputSize As System.Windows.Forms.TextBox
    Friend WithEvents Label10 As System.Windows.Forms.Label
    Friend WithEvents TextBoxOutputID As System.Windows.Forms.TextBox
    Friend WithEvents GroupBox3 As System.Windows.Forms.GroupBox
    Friend WithEvents ListBoxInputData As System.Windows.Forms.ListBox
    Friend WithEvents ButtonReset As System.Windows.Forms.Button
    Friend WithEvents Label11 As System.Windows.Forms.Label
    Friend WithEvents Label13 As System.Windows.Forms.Label
    Friend WithEvents TextBoxInputCounter As System.Windows.Forms.TextBox
    Friend WithEvents Label14 As System.Windows.Forms.Label
    Friend WithEvents TextBoxInputSize As System.Windows.Forms.TextBox
    Friend WithEvents Label15 As System.Windows.Forms.Label
    Friend WithEvents TextBoxInputID As System.Windows.Forms.TextBox
    Friend WithEvents Timer1 As System.Windows.Forms.Timer
    Friend WithEvents Label12 As Label
    Friend WithEvents TextBoxSystemTag As TextBox
End Class
